export interface DoublyLinkedNode<T> {
    value: T;
    previous: DoublyLinkedNode<T> | undefined;
    next: DoublyLinkedNode<T> | undefined;
}
export declare class DoublyLinkedList<T> {
    private _length;
    get length(): number;
    private _head?;
    get head(): DoublyLinkedNode<T> | undefined;
    private _tail?;
    get tail(): DoublyLinkedNode<T> | undefined;
    push(value: T): {
        previous: DoublyLinkedNode<T> | undefined;
        next: undefined;
        value: T;
    };
    unshift(value: T): {
        previous: undefined;
        next: undefined;
        value: T;
    } | {
        previous: undefined;
        next: DoublyLinkedNode<T>;
        value: T;
    };
    shift(): T | undefined;
    remove(node: DoublyLinkedNode<T>): void;
    reset(): void;
    [Symbol.iterator](): Generator<T, void, unknown>;
}
export interface SinglyLinkedNode<T> {
    value: T;
    next: SinglyLinkedNode<T> | undefined;
}
export declare class SinglyLinkedList<T> {
    private _length;
    get length(): number;
    private _head?;
    get head(): SinglyLinkedNode<T> | undefined;
    private _tail?;
    get tail(): SinglyLinkedNode<T> | undefined;
    push(value: T): {
        value: T;
        next: undefined;
    };
    remove(node: SinglyLinkedNode<T>, parent: SinglyLinkedNode<T> | undefined): void;
    shift(): T | undefined;
    reset(): void;
    [Symbol.iterator](): Generator<T, void, unknown>;
}
