import { ArrayReply, TuplesToMapReply, BlobStringReply, NumberReply, DoubleReply, UnwrapReply, Resp2Reply } from '../RESP/types';
export type AclLogReply = ArrayReply<TuplesToMapReply<[
    [
        BlobStringReply<'count'>,
        NumberReply
    ],
    [
        BlobStringReply<'reason'>,
        BlobStringReply
    ],
    [
        BlobStringReply<'context'>,
        BlobStringReply
    ],
    [
        BlobStringReply<'object'>,
        BlobStringReply
    ],
    [
        BlobStringReply<'username'>,
        BlobStringReply
    ],
    [
        BlobStringReply<'age-seconds'>,
        DoubleReply
    ],
    [
        BlobStringReply<'client-info'>,
        BlobStringReply
    ],
    /** added in 7.0 */
    [
        BlobStringReply<'entry-id'>,
        NumberReply
    ],
    /** added in 7.0 */
    [
        BlobStringReply<'timestamp-created'>,
        NumberReply
    ],
    /** added in 7.0 */
    [
        BlobStringReply<'timestamp-last-updated'>,
        NumberReply
    ]
]>>;
declare const _default: {
    readonly FIRST_KEY_INDEX: undefined;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, count?: number) => string[];
    readonly transformReply: {
        readonly 2: (reply: UnwrapReply<Resp2Reply<AclLogReply>>) => {
            count: NumberReply<number>;
            reason: BlobStringReply<string>;
            context: BlobStringReply<string>;
            object: BlobStringReply<string>;
            username: BlobStringReply<string>;
            'age-seconds': number;
            'client-info': BlobStringReply<string>;
            'entry-id': NumberReply<number>;
            'timestamp-created': NumberReply<number>;
            'timestamp-last-updated': NumberReply<number>;
        }[];
        readonly 3: () => AclLogReply;
    };
};
export default _default;
