import { NumberReply } from '../RESP/types';
export declare const CLIENT_KILL_FILTERS: {
    readonly ADDRESS: "ADDR";
    readonly LOCAL_ADDRESS: "LADDR";
    readonly ID: "ID";
    readonly TYPE: "TYPE";
    readonly USER: "USER";
    readonly SKIP_ME: "SKIPME";
};
type CLIENT_KILL_FILTERS = typeof CLIENT_KILL_FILTERS;
export interface ClientKillFilterCommon<T extends CLIENT_KILL_FILTERS[keyof CLIENT_KILL_FILTERS]> {
    filter: T;
}
export interface ClientKillAddress extends ClientKillFilterCommon<CLIENT_KILL_FILTERS['ADDRESS']> {
    address: `${string}:${number}`;
}
export interface ClientKillLocalAddress extends ClientKillFilterCommon<CLIENT_KILL_FILTERS['LOCAL_ADDRESS']> {
    localAddress: `${string}:${number}`;
}
export interface ClientKillId extends ClientKillFilterCommon<CLIENT_KILL_FILTERS['ID']> {
    id: number | `${number}`;
}
export interface ClientKillType extends ClientKillFilterCommon<CLIENT_KILL_FILTERS['TYPE']> {
    type: 'normal' | 'master' | 'replica' | 'pubsub';
}
export interface ClientKillUser extends ClientKillFilterCommon<CLIENT_KILL_FILTERS['USER']> {
    username: string;
}
export type ClientKillSkipMe = CLIENT_KILL_FILTERS['SKIP_ME'] | (ClientKillFilterCommon<CLIENT_KILL_FILTERS['SKIP_ME']> & {
    skipMe: boolean;
});
export type ClientKillFilter = ClientKillAddress | ClientKillLocalAddress | ClientKillId | ClientKillType | ClientKillUser | ClientKillSkipMe;
declare const _default: {
    readonly FIRST_KEY_INDEX: undefined;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, filters: ClientKillFilter | Array<ClientKillFilter>) => string[];
    readonly transformReply: () => NumberReply;
};
export default _default;
