import { TuplesReply, BlobStringReply, NumberReply, ArrayReply, UnwrapReply } from '../RESP/types';
type RawNode = TuplesReply<[
    host: BlobStringReply,
    port: NumberReply,
    id: BlobStringReply
]>;
type ClusterSlotsRawReply = ArrayReply<[
    from: NumberReply,
    to: NumberReply,
    master: RawNode,
    ...replicas: Array<RawNode>
]>;
export type ClusterSlotsNode = ReturnType<typeof transformNode>;
declare const _default: {
    readonly FIRST_KEY_INDEX: undefined;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void) => string[];
    readonly transformReply: (this: void, reply: UnwrapReply<ClusterSlotsRawReply>) => {
        from: NumberReply<number>;
        to: NumberReply<number>;
        master: {
            host: BlobStringReply<string>;
            port: NumberReply<number>;
            id: BlobStringReply<string>;
        };
        replicas: {
            host: BlobStringReply<string>;
            port: NumberReply<number>;
            id: BlobStringReply<string>;
        }[];
    }[];
};
export default _default;
declare function transformNode(node: RawNode): {
    host: BlobStringReply<string>;
    port: NumberReply<number>;
    id: BlobStringReply<string>;
};
