import { RedisArgument, NumberReply } from '../RESP/types';
import { GeoCoordinates } from './GEOSEARCH';
export interface GeoMember extends GeoCoordinates {
    member: RedisArgument;
}
export interface GeoAddOptions {
    condition?: 'NX' | 'XX';
    /**
     * @deprecated Use `{ condition: 'NX' }` instead.
     */
    NX?: boolean;
    /**
     * @deprecated Use `{ condition: 'XX' }` instead.
     */
    XX?: boolean;
    CH?: boolean;
}
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly IS_READ_ONLY: false;
    readonly transformArguments: (this: void, key: RedisArgument, toAdd: GeoMember | Array<GeoMember>, options?: GeoAddOptions) => RedisArgument[];
    readonly transformReply: () => NumberReply;
};
export default _default;
