"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    FIRST_KEY_INDEX: 1,
    IS_READ_ONLY: false,
    transformArguments(key, toAdd, options) {
        const args = ['GEOADD', key];
        if (options?.condition) {
            args.push(options.condition);
        }
        else if (options?.NX) {
            args.push('NX');
        }
        else if (options?.XX) {
            args.push('XX');
        }
        if (options?.CH) {
            args.push('CH');
        }
        if (Array.isArray(toAdd)) {
            for (const member of toAdd) {
                pushMember(args, member);
            }
        }
        else {
            pushMember(args, toAdd);
        }
        return args;
    },
    transformReply: undefined
};
function pushMember(args, { longitude, latitude, member }) {
    args.push(longitude.toString(), latitude.toString(), member);
}
