import { RedisArgument, CommandArguments, ArrayReply, BlobStringReply } from '../RESP/types';
export type GeoUnits = 'm' | 'km' | 'mi' | 'ft';
export interface GeoCoordinates {
    longitude: RedisArgument | number;
    latitude: RedisArgument | number;
}
export type GeoSearchFrom = RedisArgument | GeoCoordinates;
export interface GeoSearchByRadius {
    radius: number;
    unit: GeoUnits;
}
export interface GeoSearchByBox {
    width: number;
    height: number;
    unit: GeoUnits;
}
export type GeoSearchBy = GeoSearchByRadius | GeoSearchByBox;
export declare function pushGeoSearchArguments(args: CommandArguments, key: RedisArgument, from: GeoSearchFrom, by: GeoSearchBy, options?: GeoSearchOptions): CommandArguments;
export type GeoCountArgument = number | {
    value: number;
    ANY?: boolean;
};
export interface GeoSearchOptions {
    SORT?: 'ASC' | 'DESC';
    COUNT?: GeoCountArgument;
}
export declare function pushGeoSearchOptions(args: CommandArguments, options?: GeoSearchOptions): void;
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, key: RedisArgument, from: GeoSearchFrom, by: GeoSearchBy, options?: GeoSearchOptions) => CommandArguments;
    readonly transformReply: () => ArrayReply<BlobStringReply>;
};
export default _default;
