import { RedisArgument, ArrayReply, TuplesReply, BlobStringReply, NumberReply, DoubleReply, UnwrapReply } from '../RESP/types';
import { GeoSearchBy, GeoSearchFrom, GeoSearchOptions } from './GEOSEARCH';
export declare const GEO_REPLY_WITH: {
    readonly DISTANCE: "WITHDIST";
    readonly HASH: "WITHHASH";
    readonly COORDINATES: "WITHCOORD";
};
export type GeoReplyWith = typeof GEO_REPLY_WITH[keyof typeof GEO_REPLY_WITH];
export interface GeoReplyWithMember {
    member: BlobStringReply;
    distance?: BlobStringReply;
    hash?: NumberReply;
    coordinates?: {
        longitude: DoubleReply;
        latitude: DoubleReply;
    };
}
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, key: RedisArgument, from: GeoSearchFrom, by: GeoSearchBy, replyWith: Array<GeoReplyWith>, options?: GeoSearchOptions) => import("../RESP/types").CommandArguments;
    readonly transformReply: (this: void, reply: UnwrapReply<ArrayReply<TuplesReply<[BlobStringReply, ...Array<any>]>>>, replyWith: Array<GeoReplyWith>) => GeoReplyWithMember[];
};
export default _default;
