"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generic_transformers_1 = require("./generic-transformers");
exports.default = {
    FIRST_KEY_INDEX: 1,
    IS_READ_ONLY: true,
    transformArguments(key, options) {
        const args = ['GETEX', key];
        if ('type' in options) {
            switch (options.type) {
                case 'EX':
                case 'PX':
                    args.push(options.type, options.value.toString());
                    break;
                case 'EXAT':
                case 'PXAT':
                    args.push(options.type, (0, generic_transformers_1.transformEXAT)(options.value));
                    break;
                case 'PERSIST':
                    args.push('PERSIST');
                    break;
            }
        }
        else {
            if ('EX' in options) {
                args.push('EX', options.EX.toString());
            }
            else if ('PX' in options) {
                args.push('PX', options.PX.toString());
            }
            else if ('EXAT' in options) {
                args.push('EXAT', (0, generic_transformers_1.transformEXAT)(options.EXAT));
            }
            else if ('PXAT' in options) {
                args.push('PXAT', (0, generic_transformers_1.transformPXAT)(options.PXAT));
            }
            else { // PERSIST
                args.push('PERSIST');
            }
        }
        return args;
    },
    transformReply: undefined
};
