import { RedisArgument, TuplesToMapReply, BlobStringReply, ArrayReply, NumberReply, TuplesReply } from '../RESP/types';
export interface LcsIdxOptions {
    MINMATCHLEN?: number;
}
export type LcsIdxRange = TuplesReply<[
    start: NumberReply,
    end: NumberReply
]>;
export type LcsIdxMatches = ArrayReply<TuplesReply<[
    key1: LcsIdxRange,
    key2: LcsIdxRange
]>>;
export type LcsIdxReply = TuplesToMapReply<[
    [
        BlobStringReply<'matches'>,
        LcsIdxMatches
    ],
    [
        BlobStringReply<'len'>,
        NumberReply
    ]
]>;
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, key1: RedisArgument, key2: RedisArgument, options?: LcsIdxOptions) => RedisArgument[];
    readonly transformReply: {
        readonly 2: (reply: [BlobStringReply<"matches">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>]>[]>, BlobStringReply<"len">, NumberReply<number>]) => {
            matches: import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>, import("../RESP/types").RespType<42, [NumberReply<number>, NumberReply<number>], never, [NumberReply<number>, NumberReply<number>]>]>[]>;
            len: NumberReply<number>;
        };
        readonly 3: () => LcsIdxReply;
    };
};
export default _default;
