"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pushScanArguments = void 0;
function pushScanArguments(args, cursor, options) {
    args.push(cursor.toString());
    if (options?.MATCH) {
        args.push('MATCH', options.MATCH);
    }
    if (options?.COUNT) {
        args.push('COUNT', options.COUNT.toString());
    }
    return args;
}
exports.pushScanArguments = pushScanArguments;
exports.default = {
    FIRST_KEY_INDEX: undefined,
    IS_READ_ONLY: true,
    transformArguments(cursor, options) {
        const args = pushScanArguments(['SCAN'], cursor, options);
        if (options?.TYPE) {
            args.push('TYPE', options.TYPE);
        }
        return args;
    },
    transformReply([cursor, keys]) {
        return {
            cursor,
            keys
        };
    }
};
