import { RedisArgument, SimpleStringReply, BlobStringReply, NullReply } from '../RESP/types';
export interface SetOptions {
    expiration?: {
        type: 'EX' | 'PX' | 'EXAT' | 'PXAT';
        value: number;
    } | {
        type: 'KEEPTTL';
    } | 'KEEPTTL';
    /**
     * @deprecated Use `expiration` { type: 'EX', value: number } instead
     */
    EX?: number;
    /**
     * @deprecated Use `expiration` { type: 'PX', value: number } instead
     */
    PX?: number;
    /**
     * @deprecated Use `expiration` { type: 'EXAT', value: number } instead
     */
    EXAT?: number;
    /**
     * @deprecated Use `expiration` { type: 'PXAT', value: number } instead
     */
    PXAT?: number;
    /**
     * @deprecated Use `expiration` 'KEEPTTL' instead
     */
    KEEPTTL?: boolean;
    condition?: 'NX' | 'XX';
    /**
     * @deprecated Use `{ condition: 'NX' }` instead.
     */
    NX?: boolean;
    /**
     * @deprecated Use `{ condition: 'XX' }` instead.
     */
    XX?: boolean;
    GET?: boolean;
}
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly transformArguments: (this: void, key: RedisArgument, value: RedisArgument | number, options?: SetOptions) => RedisArgument[];
    readonly transformReply: () => SimpleStringReply<'OK'> | BlobStringReply | NullReply;
};
export default _default;
