"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformSortArguments = void 0;
function transformSortArguments(command, key, options) {
    const args = [command, key];
    if (options?.BY) {
        args.push('BY', options.BY);
    }
    if (options?.LIMIT) {
        args.push('LIMIT', options.LIMIT.offset.toString(), options.LIMIT.count.toString());
    }
    if (options?.GET) {
        if (Array.isArray(options.GET)) {
            for (const pattern of options.GET) {
                args.push('GET', pattern);
            }
        }
        else {
            args.push('GET', options.GET);
        }
    }
    if (options?.DIRECTION) {
        args.push(options.DIRECTION);
    }
    if (options?.ALPHA) {
        args.push('ALPHA');
    }
    return args;
}
exports.transformSortArguments = transformSortArguments;
exports.default = {
    FIRST_KEY_INDEX: 1,
    IS_READ_ONLY: true,
    transformArguments: transformSortArguments.bind(undefined, 'SORT'),
    transformReply: undefined
};
