"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generic_transformers_1 = require("./generic-transformers");
exports.default = {
    FIRST_KEY_INDEX: 1,
    IS_READ_ONLY: false,
    transformArguments(key, group, consumer, minIdleTime, id, options) {
        const args = (0, generic_transformers_1.pushVariadicArguments)(['XCLAIM', key, group, consumer, minIdleTime.toString()], id);
        if (options?.IDLE !== undefined) {
            args.push('IDLE', options.IDLE.toString());
        }
        if (options?.TIME !== undefined) {
            args.push('TIME', (options.TIME instanceof Date ? options.TIME.getTime() : options.TIME).toString());
        }
        if (options?.RETRYCOUNT !== undefined) {
            args.push('RETRYCOUNT', options.RETRYCOUNT.toString());
        }
        if (options?.FORCE) {
            args.push('FORCE');
        }
        if (options?.LASTID !== undefined) {
            args.push('LASTID', options.LASTID);
        }
        return args;
    },
    transformReply(reply) {
        return reply.map(generic_transformers_1.transformStreamMessageNullReply);
    }
};
