import { RedisArgument, ArrayReply, TuplesReply, BlobStringReply, NumberReply, UnwrapReply } from '../RESP/types';
export interface XPendingRangeOptions {
    IDLE?: number;
    consumer?: RedisArgument;
}
type XPendingRangeRawReply = ArrayReply<TuplesReply<[
    id: BlobStringReply,
    consumer: BlobStringReply,
    millisecondsSinceLastDelivery: NumberReply,
    deliveriesCounter: NumberReply
]>>;
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly IS_READ_ONLY: true;
    readonly transformArguments: (this: void, key: RedisArgument, group: RedisArgument, start: RedisArgument, end: RedisArgument, count: number, options?: XPendingRangeOptions) => RedisArgument[];
    readonly transformReply: (this: void, reply: UnwrapReply<XPendingRangeRawReply>) => {
        id: BlobStringReply<string>;
        consumer: BlobStringReply<string>;
        millisecondsSinceLastDelivery: NumberReply<number>;
        deliveriesCounter: NumberReply<number>;
    }[];
};
export default _default;
