import { RedisArgument } from '../RESP/types';
import { SortedSetMember } from './generic-transformers';
export interface ZAddOptions {
    condition?: 'NX' | 'XX';
    /**
     * @deprecated Use `{ condition: 'NX' }` instead.
     */
    NX?: boolean;
    /**
     * @deprecated Use `{ condition: 'XX' }` instead.
     */
    XX?: boolean;
    comparison?: 'LT' | 'GT';
    /**
     * @deprecated Use `{ comparison: 'LT' }` instead.
     */
    LT?: boolean;
    /**
     * @deprecated Use `{ comparison: 'GT' }` instead.
     */
    GT?: boolean;
    CH?: boolean;
}
declare const _default: {
    readonly FIRST_KEY_INDEX: 1;
    readonly transformArguments: (this: void, key: RedisArgument, members: SortedSetMember | Array<SortedSetMember>, options?: ZAddOptions) => RedisArgument[];
    readonly transformReply: {
        2: (reply: import("../RESP/types").BlobStringReply<string>) => number;
        3: () => import("../RESP/types").DoubleReply<number>;
    };
};
export default _default;
export declare function pushMembers(args: Array<RedisArgument>, members: SortedSetMember | Array<SortedSetMember>): void;
