"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pushMembers = void 0;
const generic_transformers_1 = require("./generic-transformers");
exports.default = {
    FIRST_KEY_INDEX: 1,
    transformArguments(key, members, options) {
        const args = ['ZADD', key];
        if (options?.condition) {
            args.push(options.condition);
        }
        else if (options?.NX) {
            args.push('NX');
        }
        else if (options?.XX) {
            args.push('XX');
        }
        if (options?.comparison) {
            args.push(options.comparison);
        }
        else if (options?.LT) {
            args.push('LT');
        }
        else if (options?.GT) {
            args.push('GT');
        }
        if (options?.CH) {
            args.push('CH');
        }
        pushMembers(args, members);
        return args;
    },
    transformReply: generic_transformers_1.transformDoubleReply
};
function pushMembers(args, members) {
    if (Array.isArray(members)) {
        for (const member of members) {
            pushMember(args, member);
        }
    }
    else {
        pushMember(args, members);
    }
}
exports.pushMembers = pushMembers;
function pushMember(args, member) {
    args.push((0, generic_transformers_1.transformDoubleArgument)(member.score), member.value);
}
