"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generic_transformers_1 = require("./generic-transformers");
exports.default = {
    FIRST_KEY_INDEX: 1,
    IS_READ_ONLY: false,
    transformArguments(destination, source, min, max, options) {
        const args = [
            'ZRANGESTORE',
            destination,
            source,
            (0, generic_transformers_1.transformStringDoubleArgument)(min),
            (0, generic_transformers_1.transformStringDoubleArgument)(max)
        ];
        switch (options?.BY) {
            case 'SCORE':
                args.push('BYSCORE');
                break;
            case 'LEX':
                args.push('BYLEX');
                break;
        }
        if (options?.REV) {
            args.push('REV');
        }
        if (options?.LIMIT) {
            args.push('LIMIT', options.LIMIT.offset.toString(), options.LIMIT.count.toString());
        }
        return args;
    },
    transformReply: undefined
};
