"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ZRANK_1 = __importDefault(require("./ZRANK"));
exports.default = {
    FIRST_KEY_INDEX: ZRANK_1.default.FIRST_KEY_INDEX,
    IS_READ_ONLY: ZRANK_1.default.IS_READ_ONLY,
    transformArguments(...args) {
        const redisArgs = ZRANK_1.default.transformArguments(...args);
        redisArgs.push('WITHSCORE');
        return redisArgs;
    },
    transformReply: {
        2: (reply) => {
            if (reply === null)
                return null;
            return {
                rank: reply[0],
                score: Number(reply[1])
            };
        },
        3: (reply) => {
            if (reply === null)
                return null;
            return {
                rank: reply[0],
                score: reply[1]
            };
        }
    }
};
