/// <reference types="node" />
declare const _default: {
    readonly ACL_CAT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, categoryName?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly aclCat: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, categoryName?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ACL_DELUSER: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly aclDelUser: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ACL_DRYRUN: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument, command: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly aclDryRun: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument, command: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly ACL_GENPASS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, bits?: number | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly aclGenPass: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, bits?: number | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly ACL_GETUSER: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"passwords">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"selectors">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]>[]>]) => {
                flags: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                passwords: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                commands: import("../RESP/types").BlobStringReply<string>;
                keys: import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                channels: import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                selectors: {
                    commands: import("../RESP/types").BlobStringReply<string>;
                    keys: import("../RESP/types").BlobStringReply<string>;
                    channels: import("../RESP/types").BlobStringReply<string>;
                }[];
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"passwords">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>> | import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>> | import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"selectors">, import("../RESP/types").ArrayReply<import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]]>>]]>;
        };
    };
    readonly aclGetUser: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"passwords">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"selectors">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]>[]>]) => {
                flags: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                passwords: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                commands: import("../RESP/types").BlobStringReply<string>;
                keys: import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                channels: import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                selectors: {
                    commands: import("../RESP/types").BlobStringReply<string>;
                    keys: import("../RESP/types").BlobStringReply<string>;
                    channels: import("../RESP/types").BlobStringReply<string>;
                }[];
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"passwords">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>> | import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>> | import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"selectors">, import("../RESP/types").ArrayReply<import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"commands">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"keys">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"channels">, import("../RESP/types").BlobStringReply<string>]]>>]]>;
        };
    };
    readonly ACL_LIST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly aclList: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ACL_LOAD: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly aclLoad: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly ACL_LOG_RESET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly aclLogReset: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly ACL_LOG: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, count?: number | undefined) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"reason">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"context">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"object">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"username">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"age-seconds">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"client-info">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"entry-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-created">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-last-updated">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"reason">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"context">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"object">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"username">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"age-seconds">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"client-info">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"entry-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-created">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-last-updated">, import("../RESP/types").NumberReply<number>]>[]) => {
                count: import("../RESP/types").NumberReply<number>;
                reason: import("../RESP/types").BlobStringReply<string>;
                context: import("../RESP/types").BlobStringReply<string>;
                object: import("../RESP/types").BlobStringReply<string>;
                username: import("../RESP/types").BlobStringReply<string>;
                'age-seconds': number;
                'client-info': import("../RESP/types").BlobStringReply<string>;
                'entry-id': import("../RESP/types").NumberReply<number>;
                'timestamp-created': import("../RESP/types").NumberReply<number>;
                'timestamp-last-updated': import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./ACL_LOG").AclLogReply;
        };
    };
    readonly aclLog: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, count?: number | undefined) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"reason">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"context">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"object">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"username">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"age-seconds">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"client-info">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"entry-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-created">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-last-updated">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"reason">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"context">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"object">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"username">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"age-seconds">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"client-info">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"entry-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-created">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"timestamp-last-updated">, import("../RESP/types").NumberReply<number>]>[]) => {
                count: import("../RESP/types").NumberReply<number>;
                reason: import("../RESP/types").BlobStringReply<string>;
                context: import("../RESP/types").BlobStringReply<string>;
                object: import("../RESP/types").BlobStringReply<string>;
                username: import("../RESP/types").BlobStringReply<string>;
                'age-seconds': number;
                'client-info': import("../RESP/types").BlobStringReply<string>;
                'entry-id': import("../RESP/types").NumberReply<number>;
                'timestamp-created': import("../RESP/types").NumberReply<number>;
                'timestamp-last-updated': import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./ACL_LOG").AclLogReply;
        };
    };
    readonly ACL_SAVE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly aclSave: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly ACL_SETUSER: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument, rule: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly aclSetUser: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, username: import("../RESP/types").RedisArgument, rule: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly ACL_USERS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly aclUsers: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ACL_WHOAMI: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly aclWhoAmI: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly APPEND: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly append: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ASKING: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly asking: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly AUTH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, { username, password }: import("./AUTH").AuthOptions) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly auth: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, { username, password }: import("./AUTH").AuthOptions) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly BGREWRITEAOF: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly bgRewriteAof: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly BGSAVE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./BGSAVE").BgSaveOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly bgSave: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./BGSAVE").BgSaveOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly BITCOUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, range?: import("./BITCOUNT").BitCountRange | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly bitCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, range?: import("./BITCOUNT").BitCountRange | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly BITFIELD_RO: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, operations: import("./BITFIELD_RO").BitFieldRoOperations) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly bitFieldRo: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, operations: import("./BITFIELD_RO").BitFieldRoOperations) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly BITFIELD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, operations: import("./BITFIELD").BitFieldOperations) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>>;
    };
    readonly bitField: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, operations: import("./BITFIELD").BitFieldOperations) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>>;
    };
    readonly BITOP: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, operation: import("./BITOP").BitOperations, destKey: import("../RESP/types").RedisArgument, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly bitOp: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, operation: import("./BITOP").BitOperations, destKey: import("../RESP/types").RedisArgument, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly BITPOS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, bit: import("./generic-transformers").BitValue, start?: number | undefined, end?: number | undefined, mode?: "BYTE" | "BIT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly bitPos: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, bit: import("./generic-transformers").BitValue, start?: number | undefined, end?: number | undefined, mode?: "BYTE" | "BIT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly BLMOVE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, sourceSide: import("./generic-transformers").ListSide, destinationSide: import("./generic-transformers").ListSide, timeout: number) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly blMove: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, sourceSide: import("./generic-transformers").ListSide, destinationSide: import("./generic-transformers").ListSide, timeout: number) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly BLMPOP: {
        readonly FIRST_KEY_INDEX: 3;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, timeout: number, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").ListSide, options?: import("./LMPOP").LMPopOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, elements: import("../RESP/types").BlobStringReply<string>[]]>;
    };
    readonly blmPop: {
        readonly FIRST_KEY_INDEX: 3;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, timeout: number, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").ListSide, options?: import("./LMPOP").LMPopOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, elements: import("../RESP/types").BlobStringReply<string>[]]>;
    };
    readonly BLPOP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
            key: import("../RESP/types").BlobStringReply<string>;
            element: import("../RESP/types").BlobStringReply<string>;
        } | null;
    };
    readonly blPop: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
            key: import("../RESP/types").BlobStringReply<string>;
            element: import("../RESP/types").BlobStringReply<string>;
        } | null;
    };
    readonly BRPOP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
            key: import("../RESP/types").BlobStringReply<string>;
            element: import("../RESP/types").BlobStringReply<string>;
        } | null;
    };
    readonly brPop: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
            key: import("../RESP/types").BlobStringReply<string>;
            element: import("../RESP/types").BlobStringReply<string>;
        } | null;
    };
    readonly BRPOPLPUSH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, timeout: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly brPopLPush: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, timeout: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly BZMPOP: {
        readonly FIRST_KEY_INDEX: 3;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, timeout: number, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").SortedSetSide, options?: import("./ZMPOP").ZMPopOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").Resp2Reply<import("./ZMPOP").ZMPopRawReply>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: number;
                }[];
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("./ZMPOP").ZMPopRawReply>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: import("../RESP/types").DoubleReply<number>;
                }[];
            } | null;
        };
    };
    readonly bzmPop: {
        readonly FIRST_KEY_INDEX: 3;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, timeout: number, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").SortedSetSide, options?: import("./ZMPOP").ZMPopOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").Resp2Reply<import("./ZMPOP").ZMPopRawReply>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: number;
                }[];
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("./ZMPOP").ZMPopRawReply>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: import("../RESP/types").DoubleReply<number>;
                }[];
            } | null;
        };
    };
    readonly BZPOPMAX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly bzPopMax: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly BZPOPMIN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly bzPopMin: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument, timeout: number) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly CLIENT_CACHING: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientCaching: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLIENT_GETNAME: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly clientGetName: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly CLIENT_GETREDIR: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clientGetRedir: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLIENT_ID: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clientId: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLIENT_INFO: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, rawReply: import("../RESP/types").VerbatimStringReply<string>) => import("./CLIENT_INFO").ClientInfoReply;
    };
    readonly clientInfo: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, rawReply: import("../RESP/types").VerbatimStringReply<string>) => import("./CLIENT_INFO").ClientInfoReply;
    };
    readonly CLIENT_KILL: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, filters: import("./CLIENT_KILL").ClientKillFilter | import("./CLIENT_KILL").ClientKillFilter[]) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clientKill: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, filters: import("./CLIENT_KILL").ClientKillFilter | import("./CLIENT_KILL").ClientKillFilter[]) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLIENT_LIST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, filter?: import("./CLIENT_LIST").ListFilter | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, rawReply: import("../RESP/types").VerbatimStringReply<string>) => import("./CLIENT_INFO").ClientInfoReply[];
    };
    readonly clientList: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, filter?: import("./CLIENT_LIST").ListFilter | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, rawReply: import("../RESP/types").VerbatimStringReply<string>) => import("./CLIENT_INFO").ClientInfoReply[];
    };
    readonly 'CLIENT_NO-EVICT': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientNoEvict: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly 'CLIENT_NO-TOUCH': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientNoTouch: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, value: boolean) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLIENT_PAUSE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, timeout: number, mode?: "WRITE" | "ALL" | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientPause: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, timeout: number, mode?: "WRITE" | "ALL" | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLIENT_SETNAME: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, name: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientSetName: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, name: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLIENT_TRACKING: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: <M extends boolean>(mode: M, options?: (M extends true ? import("./CLIENT_TRACKING").ClientTrackingOptions : never) | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientTracking: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: <M extends boolean>(mode: M, options?: (M extends true ? import("./CLIENT_TRACKING").ClientTrackingOptions : never) | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLIENT_TRACKINGINFO: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"redirect">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"prefixes">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]) => {
                flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                redirect: import("../RESP/types").NumberReply<number>;
                prefixes: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"redirect">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"prefixes">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]]>;
        };
    };
    readonly clientTrackingInfo: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>, import("../RESP/types").BlobStringReply<"redirect">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"prefixes">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]) => {
                flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                redirect: import("../RESP/types").NumberReply<number>;
                prefixes: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>], [import("../RESP/types").BlobStringReply<"redirect">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"prefixes">, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]]>;
        };
    };
    readonly CLIENT_UNPAUSE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clientUnpause: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_ADDSLOTS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slots: number | number[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterAddSlots: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slots: number | number[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_ADDSLOTSRANGE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ranges: import("./generic-transformers").SlotRange | import("./generic-transformers").SlotRange[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterAddSlotsRange: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ranges: import("./generic-transformers").SlotRange | import("./generic-transformers").SlotRange[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_BUMPEPOCH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"BUMPED" | "STILL">;
    };
    readonly clusterBumpEpoch: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"BUMPED" | "STILL">;
    };
    readonly 'CLUSTER_COUNT-FAILURE-REPORTS': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clusterCountFailureReports: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLUSTER_COUNTKEYSINSLOT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clusterCountKeysInSlot: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLUSTER_DELSLOTS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slots: number | number[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterDelSlots: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slots: number | number[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_DELSLOTSRANGE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ranges: import("./generic-transformers").SlotRange | import("./generic-transformers").SlotRange[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterDelSlotsRange: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ranges: import("./generic-transformers").SlotRange | import("./generic-transformers").SlotRange[]) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_FAILOVER: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./CLUSTER_FAILOVER").ClusterFailoverOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterFailover: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./CLUSTER_FAILOVER").ClusterFailoverOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_FLUSHSLOTS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterFlushSlots: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_FORGET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterForget: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_GETKEYSINSLOT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number, count: number) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly clusterGetKeysInSlot: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number, count: number) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly CLUSTER_INFO: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly clusterInfo: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly CLUSTER_KEYSLOT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly clusterKeySlot: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly CLUSTER_LINKS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>]>[]) => {
                direction: import("../RESP/types").BlobStringReply<string>;
                node: import("../RESP/types").BlobStringReply<string>;
                'create-time': import("../RESP/types").NumberReply<number>;
                events: import("../RESP/types").BlobStringReply<string>;
                'send-buffer-allocated': import("../RESP/types").NumberReply<number>;
                'send-buffer-used': import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("../RESP/types").ArrayReply<import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>]]>>;
        };
    };
    readonly clusterLinks: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>]>[]) => {
                direction: import("../RESP/types").BlobStringReply<string>;
                node: import("../RESP/types").BlobStringReply<string>;
                'create-time': import("../RESP/types").NumberReply<number>;
                events: import("../RESP/types").BlobStringReply<string>;
                'send-buffer-allocated': import("../RESP/types").NumberReply<number>;
                'send-buffer-used': import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("../RESP/types").ArrayReply<import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"direction">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"node">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"create-time">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"events">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"send-buffer-allocated">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"send-buffer-used">, import("../RESP/types").NumberReply<number>]]>>;
        };
    };
    readonly CLUSTER_MEET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, host: string, port: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterMeet: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, host: string, port: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_MYID: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly clusterMyId: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly CLUSTER_MYSHARDID: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly clusterMyShardId: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly CLUSTER_NODES: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly clusterNodes: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly CLUSTER_REPLICAS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly clusterReplicas: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly CLUSTER_REPLICATE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly clusterReplicate: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, nodeId: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly CLUSTER_RESET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./CLUSTER_RESET").ClusterResetOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterReset: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./CLUSTER_RESET").ClusterResetOptions | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_SAVECONFIG: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterSaveConfig: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly 'CLUSTER_SET-CONFIG-EPOCH': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, configEpoch: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterSetConfigEpoch: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, configEpoch: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_SETSLOT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number, state: import("./CLUSTER_SETSLOT").ClusterSlotState, nodeId?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly clusterSetSlot: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, slot: number, state: import("./CLUSTER_SETSLOT").ClusterSlotState, nodeId?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly CLUSTER_SLOTS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, reply: [from: import("../RESP/types").NumberReply<number>, to: import("../RESP/types").NumberReply<number>, master: import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").NumberReply<number>, id: import("../RESP/types").BlobStringReply<string>]>, ...replicas: import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").NumberReply<number>, id: import("../RESP/types").BlobStringReply<string>]>[]][]) => {
            from: import("../RESP/types").NumberReply<number>;
            to: import("../RESP/types").NumberReply<number>;
            master: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
                id: import("../RESP/types").BlobStringReply<string>;
            };
            replicas: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
                id: import("../RESP/types").BlobStringReply<string>;
            }[];
        }[];
    };
    readonly clusterSlots: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, reply: [from: import("../RESP/types").NumberReply<number>, to: import("../RESP/types").NumberReply<number>, master: import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").NumberReply<number>, id: import("../RESP/types").BlobStringReply<string>]>, ...replicas: import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").NumberReply<number>, id: import("../RESP/types").BlobStringReply<string>]>[]][]) => {
            from: import("../RESP/types").NumberReply<number>;
            to: import("../RESP/types").NumberReply<number>;
            master: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
                id: import("../RESP/types").BlobStringReply<string>;
            };
            replicas: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
                id: import("../RESP/types").BlobStringReply<string>;
            }[];
        }[];
    };
    readonly COMMAND_COUNT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly commandCount: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly COMMAND_GETKEYS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, args: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly commandGetKeys: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, args: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly COMMAND_GETKEYSANDFLAGS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, args: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, flags: import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>]>[]) => {
            key: import("../RESP/types").BlobStringReply<string>;
            flags: import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly commandGetKeysAndFlags: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, args: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, flags: import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>]>[]) => {
            key: import("../RESP/types").BlobStringReply<string>;
            flags: import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly COMMAND_LIST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./COMMAND_LIST").CommandListOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly commandList: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, options?: import("./COMMAND_LIST").CommandListOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly CONFIG_GET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, parameters: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: typeof import("./generic-transformers").transformTuplesReply;
            readonly 3: () => import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly configGet: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, parameters: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: typeof import("./generic-transformers").transformTuplesReply;
            readonly 3: () => import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly CONFIG_RESETASTAT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly configResetStat: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly CONFIG_REWRITE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly configRewrite: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly CONFIG_SET: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ...[parameterOrConfig, value]: [parameter: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument] | [config: Record<string, import("../RESP/types").RedisArgument>]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly configSet: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, ...[parameterOrConfig, value]: [parameter: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument] | [config: Record<string, import("../RESP/types").RedisArgument>]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly COPY: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, options?: import("./COPY").CopyCommandOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly copy: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, options?: import("./COPY").CopyCommandOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly DBSIZE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly dbSize: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly DECR: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly decr: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly DECRBY: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, decrement: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly decrBy: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, decrement: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly DEL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly del: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly DUMP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly dump: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly ECHO: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly echo: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly EVAL_RO: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly evalRo: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly EVAL: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly eval: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly EVALSHA_RO: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly evalShaRo: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly EVALSHA: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly evalSha: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly EXISTS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly exists: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly EXPIRE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, seconds: number, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly expire: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, seconds: number, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly EXPIREAT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, timestamp: number | Date, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly expireAt: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, timestamp: number | Date, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly EXPIRETIME: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly expireTime: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly FLUSHALL: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly flushAll: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly FLUSHDB: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly flushDb: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly FCALL: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly fCall: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly FCALL_RO: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly fCallRo: {
        readonly FIRST_KEY_INDEX: (this: void, _: any, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument | undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (script: import("../RESP/types").RedisArgument, options?: import("./EVAL").EvalOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ReplyUnion;
    };
    readonly FUNCTION_DELETE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, library: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly functionDelete: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, library: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly FUNCTION_DUMP: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly functionDump: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly FUNCTION_FLUSH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly functionFlush: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, mode?: import("./FLUSHALL").RedisFlushMode | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly FUNCTION_KILL: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly functionKill: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly FUNCTION_LIST_WITHCODE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, options?: import("./FUNCTION_LIST").FunctionListOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>, import("../RESP/types").BlobStringReply<"library_code">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>, import("../RESP/types").BlobStringReply<"library_code">, import("../RESP/types").BlobStringReply<string>]>[]) => {
                library_name: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                engine: import("../RESP/types").BlobStringReply<string>;
                functions: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    description: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                    flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                }[];
                library_code: import("../RESP/types").BlobStringReply<string>;
            }[];
            readonly 3: () => import("./FUNCTION_LIST_WITHCODE").FunctionListWithCodeReply;
        };
    };
    readonly functionListWithCode: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, options?: import("./FUNCTION_LIST").FunctionListOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>, import("../RESP/types").BlobStringReply<"library_code">, import("../RESP/types").BlobStringReply<string>], never, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>, import("../RESP/types").BlobStringReply<"library_code">, import("../RESP/types").BlobStringReply<string>]>[]) => {
                library_name: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                engine: import("../RESP/types").BlobStringReply<string>;
                functions: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    description: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                    flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                }[];
                library_code: import("../RESP/types").BlobStringReply<string>;
            }[];
            readonly 3: () => import("./FUNCTION_LIST_WITHCODE").FunctionListWithCodeReply;
        };
    };
    readonly FUNCTION_LIST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, options?: import("./FUNCTION_LIST").FunctionListOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>], never, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>]>[]) => {
                library_name: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                engine: import("../RESP/types").BlobStringReply<string>;
                functions: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    description: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                    flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                }[];
            }[];
            readonly 3: () => import("./FUNCTION_LIST").FunctionListReply;
        };
    };
    readonly functionList: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, options?: import("./FUNCTION_LIST").FunctionListOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>], never, [import("../RESP/types").BlobStringReply<"library_name">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"engine">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"functions">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"description">, import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"flags">, import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]>[]>]>[]) => {
                library_name: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                engine: import("../RESP/types").BlobStringReply<string>;
                functions: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    description: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
                    flags: import("../RESP/types").RespType<126, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
                }[];
            }[];
            readonly 3: () => import("./FUNCTION_LIST").FunctionListReply;
        };
    };
    readonly FUNCTION_LOAD: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, code: import("../RESP/types").RedisArgument, options?: import("./FUNCTION_LOAD").FunctionLoadOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly functionLoad: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, code: import("../RESP/types").RedisArgument, options?: import("./FUNCTION_LOAD").FunctionLoadOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly FUNCTION_RESTORE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, dump: import("../RESP/types").RedisArgument, options?: import("./FUNCTION_RESTORE").FunctionRestoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly functionRestore: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, dump: import("../RESP/types").RedisArgument, options?: import("./FUNCTION_RESTORE").FunctionRestoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly FUNCTION_STATS: {
        readonly IS_READ_ONLY: true;
        readonly FIRST_KEY_INDEX: undefined;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"running_script">, import("../RESP/types").NullReply | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").BlobStringReply<"engines">, import("../RESP/types").RespType<42, (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]>)[], never, (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]>)[]>]) => {
                running_script: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    command: import("../RESP/types").BlobStringReply<string>;
                    duration_ms: import("../RESP/types").NumberReply<number>;
                } | null;
                engines: Record<string, {
                    libraries_count: import("../RESP/types").NumberReply<number>;
                    functions_count: import("../RESP/types").NumberReply<number>;
                }>;
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"running_script">, import("../RESP/types").NullReply | import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>]]>], [import("../RESP/types").BlobStringReply<"engines">, import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]]>>]]>;
        };
    };
    readonly functionStats: {
        readonly IS_READ_ONLY: true;
        readonly FIRST_KEY_INDEX: undefined;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"running_script">, import("../RESP/types").NullReply | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").BlobStringReply<"engines">, import("../RESP/types").RespType<42, (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]>)[], never, (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]>)[]>]) => {
                running_script: {
                    name: import("../RESP/types").BlobStringReply<string>;
                    command: import("../RESP/types").BlobStringReply<string>;
                    duration_ms: import("../RESP/types").NumberReply<number>;
                } | null;
                engines: Record<string, {
                    libraries_count: import("../RESP/types").NumberReply<number>;
                    functions_count: import("../RESP/types").NumberReply<number>;
                }>;
            };
            readonly 3: () => import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"running_script">, import("../RESP/types").NullReply | import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"command">, import("../RESP/types").BlobStringReply<string>], [import("../RESP/types").BlobStringReply<"duration_ms">, import("../RESP/types").NumberReply<number>]]>], [import("../RESP/types").BlobStringReply<"engines">, import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").TuplesToMapReply<[[import("../RESP/types").BlobStringReply<"libraries_count">, import("../RESP/types").NumberReply<number>], [import("../RESP/types").BlobStringReply<"functions_count">, import("../RESP/types").NumberReply<number>]]>>]]>;
        };
    };
    readonly GEOADD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, toAdd: import("./GEOADD").GeoMember | import("./GEOADD").GeoMember[], options?: import("./GEOADD").GeoAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly geoAdd: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, toAdd: import("./GEOADD").GeoMember | import("./GEOADD").GeoMember[], options?: import("./GEOADD").GeoAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly GEODIST: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member1: import("../RESP/types").RedisArgument, member2: import("../RESP/types").RedisArgument, unit?: import("./GEOSEARCH").GeoUnits | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
    };
    readonly geoDist: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member1: import("../RESP/types").RedisArgument, member2: import("../RESP/types").RedisArgument, unit?: import("./GEOSEARCH").GeoUnits | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
    };
    readonly GEOHASH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoHash: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEOPOS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: (import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>)[]) => ({
            longitude: import("../RESP/types").BlobStringReply<string>;
            latitude: import("../RESP/types").BlobStringReply<string>;
        } | null)[];
    };
    readonly geoPos: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: (import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>)[]) => ({
            longitude: import("../RESP/types").BlobStringReply<string>;
            latitude: import("../RESP/types").BlobStringReply<string>;
        } | null)[];
    };
    readonly GEORADIUS_RO_WITH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly geoRadiusRoWith: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly GEORADIUS_RO: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoRadiusRo: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEORADIUS_STORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, destination: import("../RESP/types").RedisArgument, options?: import("./GEORADIUS_STORE").GeoRadiusStoreOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly geoRadiusStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, destination: import("../RESP/types").RedisArgument, options?: import("./GEORADIUS_STORE").GeoRadiusStoreOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly GEORADIUS_WITH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly geoRadiusWith: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly GEORADIUS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoRadius: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoCoordinates, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEORADIUSBYMEMBER_RO_WITH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly geoRadiusByMemberRoWith: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly GEORADIUSBYMEMBER_RO: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoRadiusByMemberRo: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEORADIUSBYMEMBER_STORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, destination: import("../RESP/types").RedisArgument, options?: import("./GEORADIUSBYMEMBER_STORE").GeoRadiusStoreOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly geoRadiusByMemberStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, destination: import("../RESP/types").RedisArgument, options?: import("./GEORADIUSBYMEMBER_STORE").GeoRadiusStoreOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly GEORADIUSBYMEMBER_WITH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly geoRadiusByMemberWith: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly GEORADIUSBYMEMBER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoRadiusByMember: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, from: import("../RESP/types").RedisArgument, radius: number, unit: import("./GEOSEARCH").GeoUnits, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEOSEARCH_WITH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly geoSearchWith: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[], options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, ...any[]]>[], replyWith: import("./GEOSEARCH_WITH").GeoReplyWith[]) => import("./GEOSEARCH_WITH").GeoReplyWithMember[];
    };
    readonly GEOSEARCH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly geoSearch: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, options?: import("./GEOSEARCH").GeoSearchOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly GEOSEARCHSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, options?: import("./GEOSEARCHSTORE").GeoSearchStoreOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly geoSearchStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source: import("../RESP/types").RedisArgument, from: import("./GEOSEARCH").GeoSearchFrom, by: import("./GEOSEARCH").GeoSearchBy, options?: import("./GEOSEARCHSTORE").GeoSearchStoreOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly GET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly get: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly GETBIT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<import("./generic-transformers").BitValue>;
    };
    readonly getBit: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<import("./generic-transformers").BitValue>;
    };
    readonly GETDEL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly getDel: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly GETEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, options: import("./GETEX").GetExOptions) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly getEx: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, options: import("./GETEX").GetExOptions) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly GETRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, end: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly getRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, end: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly GETSET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly getSet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly HDEL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly hDel: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly HELLO: {
        readonly transformArguments: (this: void, protover?: import("../RESP/types").RespVersions | undefined, options?: import("./HELLO").HelloOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"server">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"version">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"proto">, import("../RESP/types").NumberReply<import("../RESP/types").RespVersions>, import("../RESP/types").BlobStringReply<"id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"mode">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"role">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"modules">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]) => {
                server: import("../RESP/types").BlobStringReply<string>;
                version: import("../RESP/types").BlobStringReply<string>;
                proto: import("../RESP/types").NumberReply<import("../RESP/types").RespVersions>;
                id: import("../RESP/types").NumberReply<number>;
                mode: import("../RESP/types").BlobStringReply<string>;
                role: import("../RESP/types").BlobStringReply<string>;
                modules: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
            };
            readonly 3: () => import("./HELLO").HelloReply;
        };
    };
    readonly hello: {
        readonly transformArguments: (this: void, protover?: import("../RESP/types").RespVersions | undefined, options?: import("./HELLO").HelloOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"server">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"version">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"proto">, import("../RESP/types").NumberReply<import("../RESP/types").RespVersions>, import("../RESP/types").BlobStringReply<"id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"mode">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"role">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"modules">, import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>]) => {
                server: import("../RESP/types").BlobStringReply<string>;
                version: import("../RESP/types").BlobStringReply<string>;
                proto: import("../RESP/types").NumberReply<import("../RESP/types").RespVersions>;
                id: import("../RESP/types").NumberReply<number>;
                mode: import("../RESP/types").BlobStringReply<string>;
                role: import("../RESP/types").BlobStringReply<string>;
                modules: import("../RESP/types").RespType<42, import("../RESP/types").BlobStringReply<string>[], never, import("../RESP/types").BlobStringReply<string>[]>;
            };
            readonly 3: () => import("./HELLO").HelloReply;
        };
    };
    readonly HEXISTS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<0 | 1>;
    };
    readonly hExists: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<0 | 1>;
    };
    readonly HGET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly hGet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly HGETALL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly TRANSFORM_LEGACY_REPLY: true;
        readonly transformReply: {
            readonly 2: typeof import("./generic-transformers").transformTuplesReply;
            readonly 3: () => import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly hGetAll: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly TRANSFORM_LEGACY_REPLY: true;
        readonly transformReply: {
            readonly 2: typeof import("./generic-transformers").transformTuplesReply;
            readonly 3: () => import("../RESP/types").MapReply<import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly HINCRBY: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly hIncrBy: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly HINCRBYFLOAT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly hIncrByFloat: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly HKEYS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly hKeys: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly HLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly hLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly HMGET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, fields: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>>;
    };
    readonly hmGet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, fields: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>>;
    };
    readonly HRANDFIELD_COUNT_WITHVALUES: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (rawReply: import("../RESP/types").BlobStringReply<string>[]) => import("./HRANDFIELD_COUNT_WITHVALUES").HRandFieldCountWithValuesReply;
            readonly 3: (reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>[]) => {
                field: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
            }[];
        };
    };
    readonly hRandFieldCountWithValues: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (rawReply: import("../RESP/types").BlobStringReply<string>[]) => import("./HRANDFIELD_COUNT_WITHVALUES").HRandFieldCountWithValuesReply;
            readonly 3: (reply: import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>[]) => {
                field: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
            }[];
        };
    };
    readonly HRANDFIELD_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly hRandFieldCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly HRANDFIELD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly hRandField: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly HSCAN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, rawEntries]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>[]]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            entries: {
                field: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
            }[];
        };
    };
    readonly hScan: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, rawEntries]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>[]]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            entries: {
                field: import("../RESP/types").BlobStringReply<string>;
                value: import("../RESP/types").BlobStringReply<string>;
            }[];
        };
    };
    readonly HSET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, ...[key, value, fieldValue]: [key: import("../RESP/types").RedisArgument, field: import("./HSET").HashTypes, value: import("./HSET").HashTypes] | [key: import("../RESP/types").RedisArgument, value: {
            [x: string]: import("./HSET").HashTypes;
            [x: number]: import("./HSET").HashTypes;
        } | Map<import("./HSET").HashTypes, import("./HSET").HashTypes> | ([import("./HSET").HashTypes, import("./HSET").HashTypes][] | import("./HSET").HashTypes[])]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly hSet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, ...[key, value, fieldValue]: [key: import("../RESP/types").RedisArgument, field: import("./HSET").HashTypes, value: import("./HSET").HashTypes] | [key: import("../RESP/types").RedisArgument, value: {
            [x: string]: import("./HSET").HashTypes;
            [x: number]: import("./HSET").HashTypes;
        } | Map<import("./HSET").HashTypes, import("./HSET").HashTypes> | ([import("./HSET").HashTypes, import("./HSET").HashTypes][] | import("./HSET").HashTypes[])]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly HSETNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<0 | 1>;
    };
    readonly hSetNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<0 | 1>;
    };
    readonly HSTRLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly hStrLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, field: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly HVALS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly hVals: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly INCR: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly incr: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly INCRBY: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly incrBy: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly INCRBYFLOAT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly incrByFloat: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly INFO: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, section?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly info: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, section?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").VerbatimStringReply<string>;
    };
    readonly KEYS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly keys: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly LASTSAVE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lastSave: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LATENCY_DOCTOR: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly latencyDoctor: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly LATENCY_GRAPH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, event: import("./LATENCY_GRAPH").LatencyEvent) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly latencyGraph: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, event: import("./LATENCY_GRAPH").LatencyEvent) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly LATENCY_HISTORY: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, event: import("./LATENCY_HISTORY").LatencyEventType) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[timestamp: import("../RESP/types").NumberReply<number>, latency: import("../RESP/types").NumberReply<number>]>>;
    };
    readonly latencyHistory: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, event: import("./LATENCY_HISTORY").LatencyEventType) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[timestamp: import("../RESP/types").NumberReply<number>, latency: import("../RESP/types").NumberReply<number>]>>;
    };
    readonly LATENCY_LATEST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<[name: import("../RESP/types").BlobStringReply<string>, timestamp: import("../RESP/types").NumberReply<number>, latestLatency: import("../RESP/types").NumberReply<number>, allTimeLatency: import("../RESP/types").NumberReply<number>]>;
    };
    readonly latencyLatest: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<[name: import("../RESP/types").BlobStringReply<string>, timestamp: import("../RESP/types").NumberReply<number>, latestLatency: import("../RESP/types").NumberReply<number>, allTimeLatency: import("../RESP/types").NumberReply<number>]>;
    };
    readonly LCS_IDX_WITHMATCHLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument, options?: import("./LCS_IDX").LcsIdxOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"matches">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[]>, import("../RESP/types").BlobStringReply<"len">, import("../RESP/types").NumberReply<number>]) => {
                matches: import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[]>;
                len: import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./LCS_IDX_WITHMATCHLEN").LcsIdxWithMatchLenReply;
        };
    };
    readonly lcsIdxWithMatchLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument, options?: import("./LCS_IDX").LcsIdxOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"matches">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[]>, import("../RESP/types").BlobStringReply<"len">, import("../RESP/types").NumberReply<number>]) => {
                matches: import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").NumberReply<number>]>[]>;
                len: import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./LCS_IDX_WITHMATCHLEN").LcsIdxWithMatchLenReply;
        };
    };
    readonly LCS_IDX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument, options?: import("./LCS_IDX").LcsIdxOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"matches">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[]>, import("../RESP/types").BlobStringReply<"len">, import("../RESP/types").NumberReply<number>]) => {
                matches: import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[]>;
                len: import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./LCS_IDX").LcsIdxReply;
        };
    };
    readonly lcsIdx: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument, options?: import("./LCS_IDX").LcsIdxOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: [import("../RESP/types").BlobStringReply<"matches">, import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[]>, import("../RESP/types").BlobStringReply<"len">, import("../RESP/types").NumberReply<number>]) => {
                matches: import("../RESP/types").RespType<42, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[], never, import("../RESP/types").RespType<42, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>], never, [import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>, import("../RESP/types").RespType<42, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").NumberReply<number>, import("../RESP/types").NumberReply<number>]>]>[]>;
                len: import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./LCS_IDX").LcsIdxReply;
        };
    };
    readonly LCS_LEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lcsLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LCS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly lcs: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key1: import("../RESP/types").RedisArgument, key2: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly LINDEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, index: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly lIndex: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, index: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly LINSERT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, position: "BEFORE" | "AFTER", pivot: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lInsert: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, position: "BEFORE" | "AFTER", pivot: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LMOVE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, sourceSide: import("./generic-transformers").ListSide, destinationSide: import("./generic-transformers").ListSide) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly lMove: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, sourceSide: import("./generic-transformers").ListSide, destinationSide: import("./generic-transformers").ListSide) => (string | Buffer)[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly LMPOP: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").ListSide, options?: import("./LMPOP").LMPopOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, elements: import("../RESP/types").BlobStringReply<string>[]]>;
    };
    readonly lmPop: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").ListSide, options?: import("./LMPOP").LMPopOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[key: import("../RESP/types").BlobStringReply<string>, elements: import("../RESP/types").BlobStringReply<string>[]]>;
    };
    readonly LOLWUT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, version?: number | undefined, ...optionalArguments: number[]) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly LPOP_COUNT: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly lPopCount: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly LPOP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly lPop: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly LPOS_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument, count: number, options?: import("./LPOS").LPosOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly lPosCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument, count: number, options?: import("./LPOS").LPosOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly LPOS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument, options?: import("./LPOS").LPosOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly lPos: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("../RESP/types").RedisArgument, options?: import("./LPOS").LPosOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly LPUSH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, elements: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lPush: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, elements: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LPUSHX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, elements: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lPushX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, elements: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly lRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly LREM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number, element: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly lRem: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number, element: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly LSET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, index: number, element: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly lSet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, index: number, element: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly LTRIM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly lTrim: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MEMORY_DOCTOR: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly memoryDoctor: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly 'MEMORY_MALLOC-STATS': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly memoryMallocStats: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly MEMORY_PURGE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly memoryPurge: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MEMORY_STATS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (rawReply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => {
                "peak.allocated": import("../RESP/types").NumberReply<number>;
                "total.allocated": import("../RESP/types").NumberReply<number>;
                "startup.allocated": import("../RESP/types").NumberReply<number>;
                "replication.backlog": import("../RESP/types").NumberReply<number>;
                "clients.slaves": import("../RESP/types").NumberReply<number>;
                "clients.normal": import("../RESP/types").NumberReply<number>;
                "cluster.links": import("../RESP/types").NumberReply<number>;
                "aof.buffer": import("../RESP/types").NumberReply<number>;
                "lua.caches": import("../RESP/types").NumberReply<number>;
                "functions.caches": import("../RESP/types").NumberReply<number>;
                "overhead.total": import("../RESP/types").NumberReply<number>;
                "keys.count": import("../RESP/types").NumberReply<number>;
                "keys.bytes-per-key": import("../RESP/types").NumberReply<number>;
                "dataset.bytes": import("../RESP/types").NumberReply<number>;
                "dataset.percentage": import("../RESP/types").DoubleReply<number>;
                "peak.percentage": import("../RESP/types").DoubleReply<number>;
                "allocator.allocated": import("../RESP/types").NumberReply<number>;
                "allocator.active": import("../RESP/types").NumberReply<number>;
                "allocator.resident": import("../RESP/types").NumberReply<number>;
                "allocator-fragmentation.ratio": import("../RESP/types").DoubleReply<number>;
                "allocator-fragmentation.bytes": import("../RESP/types").NumberReply<number>;
                "allocator-rss.ratio": import("../RESP/types").DoubleReply<number>;
                "allocator-rss.bytes": import("../RESP/types").NumberReply<number>;
                "rss-overhead.ratio": import("../RESP/types").DoubleReply<number>;
                "rss-overhead.bytes": import("../RESP/types").NumberReply<number>;
                fragmentation: import("../RESP/types").DoubleReply<number>;
                "fragmentation.bytes": import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./MEMORY_STATS").MemoryStatsReply;
        };
    };
    readonly memoryStats: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (rawReply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => {
                "peak.allocated": import("../RESP/types").NumberReply<number>;
                "total.allocated": import("../RESP/types").NumberReply<number>;
                "startup.allocated": import("../RESP/types").NumberReply<number>;
                "replication.backlog": import("../RESP/types").NumberReply<number>;
                "clients.slaves": import("../RESP/types").NumberReply<number>;
                "clients.normal": import("../RESP/types").NumberReply<number>;
                "cluster.links": import("../RESP/types").NumberReply<number>;
                "aof.buffer": import("../RESP/types").NumberReply<number>;
                "lua.caches": import("../RESP/types").NumberReply<number>;
                "functions.caches": import("../RESP/types").NumberReply<number>;
                "overhead.total": import("../RESP/types").NumberReply<number>;
                "keys.count": import("../RESP/types").NumberReply<number>;
                "keys.bytes-per-key": import("../RESP/types").NumberReply<number>;
                "dataset.bytes": import("../RESP/types").NumberReply<number>;
                "dataset.percentage": import("../RESP/types").DoubleReply<number>;
                "peak.percentage": import("../RESP/types").DoubleReply<number>;
                "allocator.allocated": import("../RESP/types").NumberReply<number>;
                "allocator.active": import("../RESP/types").NumberReply<number>;
                "allocator.resident": import("../RESP/types").NumberReply<number>;
                "allocator-fragmentation.ratio": import("../RESP/types").DoubleReply<number>;
                "allocator-fragmentation.bytes": import("../RESP/types").NumberReply<number>;
                "allocator-rss.ratio": import("../RESP/types").DoubleReply<number>;
                "allocator-rss.bytes": import("../RESP/types").NumberReply<number>;
                "rss-overhead.ratio": import("../RESP/types").DoubleReply<number>;
                "rss-overhead.bytes": import("../RESP/types").NumberReply<number>;
                fragmentation: import("../RESP/types").DoubleReply<number>;
                "fragmentation.bytes": import("../RESP/types").NumberReply<number>;
            };
            readonly 3: () => import("./MEMORY_STATS").MemoryStatsReply;
        };
    };
    readonly MEMORY_USAGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, options?: import("./MEMORY_USAGE").MemoryUsageOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly memoryUsage: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, options?: import("./MEMORY_USAGE").MemoryUsageOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly MGET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => (import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>)[];
    };
    readonly mGet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => (import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>)[];
    };
    readonly MIGRATE: {
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, host: import("../RESP/types").RedisArgument, port: number, key: import("../RESP/types").RedisArgument | import("../RESP/types").RedisArgument[], destinationDb: number, timeout: number, options?: import("./MIGRATE").MigrateOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly migrate: {
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, host: import("../RESP/types").RedisArgument, port: number, key: import("../RESP/types").RedisArgument | import("../RESP/types").RedisArgument[], destinationDb: number, timeout: number, options?: import("./MIGRATE").MigrateOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MODULE_LIST: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"ver">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"ver">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                ver: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./MODULE_LIST").ModuleListReply;
        };
    };
    readonly moduleList: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"ver">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"ver">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                ver: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./MODULE_LIST").ModuleListReply;
        };
    };
    readonly MODULE_LOAD: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, path: import("../RESP/types").RedisArgument, moduleArguments?: import("../RESP/types").RedisArgument[] | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly moduleLoad: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, path: import("../RESP/types").RedisArgument, moduleArguments?: import("../RESP/types").RedisArgument[] | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MODULE_UNLOAD: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, name: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly moduleUnload: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, name: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MOVE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, db: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly move: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, db: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly MSET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (toSet: import("./MSET").MSetArguments) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly mSet: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (toSet: import("./MSET").MSetArguments) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly MSETNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (toSet: import("./MSET").MSetArguments) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly mSetNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (toSet: import("./MSET").MSetArguments) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly OBJECT_ENCODING: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly objectEncoding: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly OBJECT_FREQ: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly objectFreq: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly OBJECT_IDLETIME: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly objectIdleTime: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly OBJECT_REFCOUNT: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly objectRefCount: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly PERSIST: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly persist: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PEXPIRE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ms: number, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pExpire: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ms: number, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PEXPIREAT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, msTimestamp: number | Date, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pExpireAt: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, msTimestamp: number | Date, mode?: "NX" | "XX" | "GT" | "LT" | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PEXPIRETIME: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pExpireTime: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PFADD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pfAdd: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PFCOUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pfCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PFMERGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly pfMerge: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly PING: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, message?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<string>;
    };
    /**
     * ping jsdoc
     */
    readonly ping: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, message?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<string>;
    };
    readonly PSETEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ms: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly pSetEx: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ms: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly PTTL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pTTL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PUBLISH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly IS_FORWARD_COMMAND: true;
        readonly transformArguments: (this: void, channel: import("../RESP/types").RedisArgument, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly publish: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly IS_FORWARD_COMMAND: true;
        readonly transformArguments: (this: void, channel: import("../RESP/types").RedisArgument, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PUBSUB_CHANNELS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly pubSubChannels: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly PUBSUB_NUMPAT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly pubSubNumPat: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly PUBSUB_NUMSUB: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channels?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").CommandArguments | string[];
        readonly transformReply: (this: void, rawReply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => Record<string, import("../RESP/types").NumberReply<number>>;
    };
    readonly pubSubNumSub: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channels?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").CommandArguments | string[];
        readonly transformReply: (this: void, rawReply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => Record<string, import("../RESP/types").NumberReply<number>>;
    };
    readonly PUBSUB_SHARDNUMSUB: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channels?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").CommandArguments | string[];
        readonly transformReply: (this: void, reply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => Record<string, import("../RESP/types").NumberReply<number>>;
    };
    readonly pubSubShardNumSub: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channels?: import("./generic-transformers").RedisVariadicArgument | undefined) => import("../RESP/types").CommandArguments | string[];
        readonly transformReply: (this: void, reply: (import("../RESP/types").BlobStringReply<string> | import("../RESP/types").NumberReply<number>)[]) => Record<string, import("../RESP/types").NumberReply<number>>;
    };
    readonly PUBSUB_SHARDCHANNELS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly pubSubShardChannels: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, pattern?: import("../RESP/types").RedisArgument | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly RANDOMKEY: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly randomKey: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly READONLY: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly readonly: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly RENAME: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, newKey: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly rename: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, newKey: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly RENAMENX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, newKey: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly renameNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, newKey: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly REPLICAOF: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, host: string, port: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly replicaOf: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, host: string, port: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly 'RESTORE-ASKING': {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly restoreAsking: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly RESTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ttl: number, serializedValue: import("../RESP/types").RedisArgument, options?: import("./RESTORE").RestoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly restore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, ttl: number, serializedValue: import("../RESP/types").RedisArgument, options?: import("./RESTORE").RestoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly RPOP_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly rPopCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ROLE: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[role: import("../RESP/types").BlobStringReply<"master">, replicationOffest: import("../RESP/types").NumberReply<number>, replicas: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").BlobStringReply<string>, replicationOffest: import("../RESP/types").BlobStringReply<string>]>>] | [role: import("../RESP/types").BlobStringReply<"slave">, masterHost: import("../RESP/types").BlobStringReply<string>, masterPort: import("../RESP/types").NumberReply<number>, state: import("../RESP/types").BlobStringReply<"connect" | "connecting" | "sync" | "connected">, dataReceived: import("../RESP/types").NumberReply<number>] | [role: import("../RESP/types").BlobStringReply<"sentinel">, masterNames: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]>>) => {
            role: import("../RESP/types").BlobStringReply<"master">;
            replicationOffest: import("../RESP/types").NumberReply<number>;
            replicas: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: number;
                replicationOffest: number;
            }[];
            master?: undefined;
            state?: undefined;
            dataReceived?: undefined;
            masterNames?: undefined;
        } | {
            role: import("../RESP/types").BlobStringReply<"slave">;
            master: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
            };
            state: import("../RESP/types").BlobStringReply<"connect" | "connecting" | "sync" | "connected">;
            dataReceived: import("../RESP/types").NumberReply<number>;
            replicationOffest?: undefined;
            replicas?: undefined;
            masterNames?: undefined;
        } | {
            role: import("../RESP/types").BlobStringReply<"sentinel">;
            masterNames: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            replicationOffest?: undefined;
            replicas?: undefined;
            master?: undefined;
            state?: undefined;
            dataReceived?: undefined;
        } | undefined;
    };
    readonly role: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[role: import("../RESP/types").BlobStringReply<"master">, replicationOffest: import("../RESP/types").NumberReply<number>, replicas: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[host: import("../RESP/types").BlobStringReply<string>, port: import("../RESP/types").BlobStringReply<string>, replicationOffest: import("../RESP/types").BlobStringReply<string>]>>] | [role: import("../RESP/types").BlobStringReply<"slave">, masterHost: import("../RESP/types").BlobStringReply<string>, masterPort: import("../RESP/types").NumberReply<number>, state: import("../RESP/types").BlobStringReply<"connect" | "connecting" | "sync" | "connected">, dataReceived: import("../RESP/types").NumberReply<number>] | [role: import("../RESP/types").BlobStringReply<"sentinel">, masterNames: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]>>) => {
            role: import("../RESP/types").BlobStringReply<"master">;
            replicationOffest: import("../RESP/types").NumberReply<number>;
            replicas: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: number;
                replicationOffest: number;
            }[];
            master?: undefined;
            state?: undefined;
            dataReceived?: undefined;
            masterNames?: undefined;
        } | {
            role: import("../RESP/types").BlobStringReply<"slave">;
            master: {
                host: import("../RESP/types").BlobStringReply<string>;
                port: import("../RESP/types").NumberReply<number>;
            };
            state: import("../RESP/types").BlobStringReply<"connect" | "connecting" | "sync" | "connected">;
            dataReceived: import("../RESP/types").NumberReply<number>;
            replicationOffest?: undefined;
            replicas?: undefined;
            masterNames?: undefined;
        } | {
            role: import("../RESP/types").BlobStringReply<"sentinel">;
            masterNames: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            replicationOffest?: undefined;
            replicas?: undefined;
            master?: undefined;
            state?: undefined;
            dataReceived?: undefined;
        } | undefined;
    };
    readonly RPOP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly rPop: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly RPOPLPUSH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly rPopLPush: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly RPUSH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly rPush: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly RPUSHX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly rPushX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, element: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SADD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sAdd: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SCAN: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, keys]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            keys: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly scan: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, keys]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            keys: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly SCARD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sCard: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SCRIPT_DEBUG: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, mode: "YES" | "NO" | "SYNC") => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly scriptDebug: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, mode: "YES" | "NO" | "SYNC") => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly SCRIPT_EXISTS: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, sha1: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly scriptExists: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, sha1: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly SCRIPT_FLUSH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, mode?: "ASYNC" | "SYNC" | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly scriptFlush: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, mode?: "ASYNC" | "SYNC" | undefined) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly SCRIPT_KILL: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly scriptKill: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly SCRIPT_LOAD: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, script: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly scriptLoad: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, script: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly SDIFF: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sDiff: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SDIFFSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sDiffStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SET: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: number | import("../RESP/types").RedisArgument, options?: import("./SET").SetOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly set: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: number | import("../RESP/types").RedisArgument, options?: import("./SET").SetOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string> | import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly SETBIT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number, value: import("./generic-transformers").BitValue) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<import("./generic-transformers").BitValue>;
    };
    readonly setBit: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number, value: import("./generic-transformers").BitValue) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<import("./generic-transformers").BitValue>;
    };
    readonly SETEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, seconds: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly setEx: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, seconds: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly SETNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly setNX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SETRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly setRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, offset: number, value: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SINTER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sInter: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SINTERCARD: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, options?: number | import("./SINTERCARD").SInterCardOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sInterCard: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, options?: number | import("./SINTERCARD").SInterCardOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SINTERSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sInterStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SISMEMBER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sIsMember: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SMEMBERS: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            readonly 3: () => import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly sMembers: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            readonly 3: () => import("../RESP/types").SetReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly SMISMEMBER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly smIsMember: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("../RESP/types").RedisArgument[]) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").NumberReply<number>>;
    };
    readonly SMOVE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sMove: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SORT_RO: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sortRo: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SORT_STORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sortStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, source: import("../RESP/types").RedisArgument, destination: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SORT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sort: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, options?: import("./SORT").SortOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SPOP_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly sPopCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly SPOP: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly sPop: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly SPUBLISH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channel: import("../RESP/types").RedisArgument, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sPublish: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, channel: import("../RESP/types").RedisArgument, message: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SRANDMEMBER_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sRandMemberCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SRANDMEMBER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly sRandMember: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly SREM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sRem: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SSCAN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, members]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>[]]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            members: import("../RESP/types").BlobStringReply<string>[];
        };
    };
    readonly sScan: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, members]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>[]]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            members: import("../RESP/types").BlobStringReply<string>[];
        };
    };
    readonly STRLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly strLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SUNION: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly sUnion: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly SUNIONSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly sUnionStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly SWAPDB: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, index1: number, index2: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly swapDb: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, index1: number, index2: number) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly TIME: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => [unixTimestamp: import("../RESP/types").BlobStringReply<`${number}`>, microseconds: import("../RESP/types").BlobStringReply<`${number}`>];
    };
    readonly time: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => [unixTimestamp: import("../RESP/types").BlobStringReply<`${number}`>, microseconds: import("../RESP/types").BlobStringReply<`${number}`>];
    };
    readonly TOUCH: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly touch: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly TTL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ttl: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly TYPE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly type: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly UNLINK: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly unlink: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly UNWATCH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly unwatch: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void) => string[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly WAIT: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, numberOfReplicas: number, timeout: number) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly wait: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, numberOfReplicas: number, timeout: number) => string[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly WATCH: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly watch: {
        readonly FIRST_KEY_INDEX: undefined;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<string>;
    };
    readonly XACK: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xAck: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XADD_NOMKSTREAM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, message: Record<string, import("../RESP/types").RedisArgument>, options?: import("./XADD").XAddOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly xAddNoMkStream: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, message: Record<string, import("../RESP/types").RedisArgument>, options?: import("./XADD").XAddOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly XADD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, message: Record<string, import("../RESP/types").RedisArgument>, options?: import("./XADD").XAddOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly xAdd: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, message: Record<string, import("../RESP/types").RedisArgument>, options?: import("./XADD").XAddOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").BlobStringReply<string>;
    };
    readonly XAUTOCLAIM_JUSTID: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, start: import("../RESP/types").RedisArgument, options?: import("./XAUTOCLAIM").XAutoClaimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [nextId: import("../RESP/types").BlobStringReply<string>, messages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>, deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            nextId: import("../RESP/types").BlobStringReply<string>;
            messages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly xAutoClaimJustId: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, start: import("../RESP/types").RedisArgument, options?: import("./XAUTOCLAIM").XAutoClaimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [nextId: import("../RESP/types").BlobStringReply<string>, messages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>, deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            nextId: import("../RESP/types").BlobStringReply<string>;
            messages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
            deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly XAUTOCLAIM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, start: import("../RESP/types").RedisArgument, options?: import("./XAUTOCLAIM").XAutoClaimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [nextId: import("../RESP/types").BlobStringReply<string>, messages: import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("./generic-transformers").StreamMessageReply>, deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            nextId: import("../RESP/types").BlobStringReply<string>;
            messages: (import("../RESP/types").NullReply | {
                id: import("../RESP/types").BlobStringReply<string>;
                message: Record<string, import("../RESP/types").BlobStringReply<string>>;
            })[];
            deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly xAutoClaim: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, start: import("../RESP/types").RedisArgument, options?: import("./XAUTOCLAIM").XAutoClaimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [nextId: import("../RESP/types").BlobStringReply<string>, messages: import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("./generic-transformers").StreamMessageReply>, deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            nextId: import("../RESP/types").BlobStringReply<string>;
            messages: (import("../RESP/types").NullReply | {
                id: import("../RESP/types").BlobStringReply<string>;
                message: Record<string, import("../RESP/types").BlobStringReply<string>>;
            })[];
            deletedMessages: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
        };
    };
    readonly XCLAIM_JUSTID: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, id: import("./generic-transformers").RedisVariadicArgument, options?: import("./XCLAIM").XClaimOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly xClaimJustId: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, id: import("./generic-transformers").RedisVariadicArgument, options?: import("./XCLAIM").XClaimOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly XCLAIM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, id: import("./generic-transformers").RedisVariadicArgument, options?: import("./XCLAIM").XClaimOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: (import("../RESP/types").NullReply | import("./generic-transformers").StreamMessageReply)[]) => (import("../RESP/types").NullReply | {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        })[];
    };
    readonly xClaim: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, minIdleTime: number, id: import("./generic-transformers").RedisVariadicArgument, options?: import("./XCLAIM").XClaimOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, reply: (import("../RESP/types").NullReply | import("./generic-transformers").StreamMessageReply)[]) => (import("../RESP/types").NullReply | {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        })[];
    };
    readonly XDEL: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xDel: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, id: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XGROUP_CREATE: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, options?: import("./XGROUP_CREATE").XGroupCreateOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly xGroupCreate: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, options?: import("./XGROUP_CREATE").XGroupCreateOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly XGROUP_CREATECONSUMER: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xGroupCreateConsumer: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XGROUP_DELCONSUMER: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xGroupDelConsumer: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XGROUP_DESTROY: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xGroupDestroy: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XGROUP_SETID: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, options?: import("./XGROUP_SETID").XGroupSetIdOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly xGroupSetId: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, id: import("../RESP/types").RedisArgument, options?: import("./XGROUP_SETID").XGroupSetIdOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly XINFO_CONSUMERS: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"idle">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"inactive">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"idle">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"inactive">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                pending: import("../RESP/types").NumberReply<number>;
                idle: import("../RESP/types").NumberReply<number>;
                inactive: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./XINFO_CONSUMERS").XInfoConsumersReply;
        };
    };
    readonly xInfoConsumers: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"idle">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"inactive">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"idle">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"inactive">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                pending: import("../RESP/types").NumberReply<number>;
                idle: import("../RESP/types").NumberReply<number>;
                inactive: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./XINFO_CONSUMERS").XInfoConsumersReply;
        };
    };
    readonly XINFO_GROUPS: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"consumers">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"last-delivered-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"entries-read">, import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"lag">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"consumers">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"last-delivered-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"entries-read">, import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"lag">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                consumers: import("../RESP/types").NumberReply<number>;
                pending: import("../RESP/types").NumberReply<number>;
                'last-delivered-id': import("../RESP/types").NumberReply<number>;
                'entries-read': import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
                lag: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./XINFO_GROUPS").XInfoGroupsReply;
        };
    };
    readonly xInfoGroups: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").RespType<42, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"consumers">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"last-delivered-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"entries-read">, import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"lag">, import("../RESP/types").NumberReply<number>], never, [import("../RESP/types").BlobStringReply<"name">, import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<"consumers">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"pending">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"last-delivered-id">, import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"entries-read">, import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<"lag">, import("../RESP/types").NumberReply<number>]>[]) => {
                name: import("../RESP/types").BlobStringReply<string>;
                consumers: import("../RESP/types").NumberReply<number>;
                pending: import("../RESP/types").NumberReply<number>;
                'last-delivered-id': import("../RESP/types").NumberReply<number>;
                'entries-read': import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
                lag: import("../RESP/types").NumberReply<number>;
            }[];
            readonly 3: () => import("./XINFO_GROUPS").XInfoGroupsReply;
        };
    };
    readonly XINFO_STREAM: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: any) => {
                length: import("../RESP/types").NumberReply<number>;
                "radix-tree-keys": import("../RESP/types").NumberReply<number>;
                "radix-tree-nodes": import("../RESP/types").NumberReply<number>;
                "last-generated-id": import("../RESP/types").BlobStringReply<string>;
                "max-deleted-entry-id": import("../RESP/types").BlobStringReply<string>;
                "entries-added": import("../RESP/types").NumberReply<number>;
                "recorded-first-entry-id": import("../RESP/types").BlobStringReply<string>;
                groups: import("../RESP/types").NumberReply<number>;
                "first-entry": import("../RESP/types").NullReply | {
                    id: import("../RESP/types").BlobStringReply<string>;
                    message: Record<string, import("../RESP/types").BlobStringReply<string>>;
                };
                "last-entry": import("../RESP/types").NullReply | {
                    id: import("../RESP/types").BlobStringReply<string>;
                    message: Record<string, import("../RESP/types").BlobStringReply<string>>;
                };
            };
            readonly 3: (this: void, reply: any) => import("./XINFO_STREAM").XInfoStreamReply;
        };
    };
    readonly xInfoStream: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: any) => {
                length: import("../RESP/types").NumberReply<number>;
                "radix-tree-keys": import("../RESP/types").NumberReply<number>;
                "radix-tree-nodes": import("../RESP/types").NumberReply<number>;
                "last-generated-id": import("../RESP/types").BlobStringReply<string>;
                "max-deleted-entry-id": import("../RESP/types").BlobStringReply<string>;
                "entries-added": import("../RESP/types").NumberReply<number>;
                "recorded-first-entry-id": import("../RESP/types").BlobStringReply<string>;
                groups: import("../RESP/types").NumberReply<number>;
                "first-entry": import("../RESP/types").NullReply | {
                    id: import("../RESP/types").BlobStringReply<string>;
                    message: Record<string, import("../RESP/types").BlobStringReply<string>>;
                };
                "last-entry": import("../RESP/types").NullReply | {
                    id: import("../RESP/types").BlobStringReply<string>;
                    message: Record<string, import("../RESP/types").BlobStringReply<string>>;
                };
            };
            readonly 3: (this: void, reply: any) => import("./XINFO_STREAM").XInfoStreamReply;
        };
    };
    readonly XLEN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xLen: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly XPENDING_RANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, count: number, options?: import("./XPENDING_RANGE").XPendingRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[id: import("../RESP/types").BlobStringReply<string>, consumer: import("../RESP/types").BlobStringReply<string>, millisecondsSinceLastDelivery: import("../RESP/types").NumberReply<number>, deliveriesCounter: import("../RESP/types").NumberReply<number>]>[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            consumer: import("../RESP/types").BlobStringReply<string>;
            millisecondsSinceLastDelivery: import("../RESP/types").NumberReply<number>;
            deliveriesCounter: import("../RESP/types").NumberReply<number>;
        }[];
    };
    readonly xPendingRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, count: number, options?: import("./XPENDING_RANGE").XPendingRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("../RESP/types").TuplesReply<[id: import("../RESP/types").BlobStringReply<string>, consumer: import("../RESP/types").BlobStringReply<string>, millisecondsSinceLastDelivery: import("../RESP/types").NumberReply<number>, deliveriesCounter: import("../RESP/types").NumberReply<number>]>[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            consumer: import("../RESP/types").BlobStringReply<string>;
            millisecondsSinceLastDelivery: import("../RESP/types").NumberReply<number>;
            deliveriesCounter: import("../RESP/types").NumberReply<number>;
        }[];
    };
    readonly XPENDING: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [pending: import("../RESP/types").NumberReply<number>, firstId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, lastId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, consumers: import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[name: import("../RESP/types").BlobStringReply<string>, deliveriesCounter: import("../RESP/types").BlobStringReply<string>]>>]) => {
            pending: import("../RESP/types").NumberReply<number>;
            firstId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
            lastId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
            consumers: {
                name: import("../RESP/types").BlobStringReply<string>;
                deliveriesCounter: number;
            }[] | null;
        };
    };
    readonly xPending: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, group: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: [pending: import("../RESP/types").NumberReply<number>, firstId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, lastId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>, consumers: import("../RESP/types").NullReply | import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[name: import("../RESP/types").BlobStringReply<string>, deliveriesCounter: import("../RESP/types").BlobStringReply<string>]>>]) => {
            pending: import("../RESP/types").NumberReply<number>;
            firstId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
            lastId: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
            consumers: {
                name: import("../RESP/types").BlobStringReply<string>;
                deliveriesCounter: number;
            }[] | null;
        };
    };
    readonly XRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, options?: import("./XRANGE").XRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("./generic-transformers").StreamMessageReply[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly xRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, options?: import("./XRANGE").XRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("./generic-transformers").StreamMessageReply[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly XREAD: {
        readonly FIRST_KEY_INDEX: (this: void, streams: import("./XREAD").XReadStreams) => import("../RESP/types").RedisArgument;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, streams: import("./XREAD").XReadStreams, options?: import("./XREAD").XReadOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => unknown;
    };
    readonly xRead: {
        readonly FIRST_KEY_INDEX: (this: void, streams: import("./XREAD").XReadStreams) => import("../RESP/types").RedisArgument;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, streams: import("./XREAD").XReadStreams, options?: import("./XREAD").XReadOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => unknown;
    };
    readonly XREADGROUP: {
        readonly FIRST_KEY_INDEX: (this: void, _group: import("../RESP/types").RedisArgument, _consumer: import("../RESP/types").RedisArgument, streams: import("./XREAD").XReadStreams) => import("../RESP/types").RedisArgument;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, streams: import("./XREAD").XReadStreams, options?: import("./XREADGROUP").XReadGroupOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => unknown;
    };
    readonly xReadGroup: {
        readonly FIRST_KEY_INDEX: (this: void, _group: import("../RESP/types").RedisArgument, _consumer: import("../RESP/types").RedisArgument, streams: import("./XREAD").XReadStreams) => import("../RESP/types").RedisArgument;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, group: import("../RESP/types").RedisArgument, consumer: import("../RESP/types").RedisArgument, streams: import("./XREAD").XReadStreams, options?: import("./XREADGROUP").XReadGroupOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => unknown;
    };
    readonly XREVRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, options?: import("./XRANGE").XRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("./generic-transformers").StreamMessageReply[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly xRevRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (key: import("../RESP/types").RedisArgument, start: import("../RESP/types").RedisArgument, end: import("../RESP/types").RedisArgument, options?: import("./XRANGE").XRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: (this: void, reply: import("./generic-transformers").StreamMessageReply[]) => {
            id: import("../RESP/types").BlobStringReply<string>;
            message: Record<string, import("../RESP/types").BlobStringReply<string>>;
        }[];
    };
    readonly XSETID: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, lastId: import("../RESP/types").RedisArgument, options?: import("./XSETID").XSetIdOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly xSetId: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, lastId: import("../RESP/types").RedisArgument, options?: import("./XSETID").XSetIdOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").SimpleStringReply<"OK">;
    };
    readonly XTRIM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, strategy: "MAXLEN" | "MINID", threshold: number, options?: import("./XTRIM").XTrimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly xTrim: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, strategy: "MAXLEN" | "MINID", threshold: number, options?: import("./XTRIM").XTrimOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZADD_INCR: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").SortedSetMember | import("./generic-transformers").SortedSetMember[], options?: import("./ZADD_INCR").ZAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
            3: () => import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly zAddIncr: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").SortedSetMember | import("./generic-transformers").SortedSetMember[], options?: import("./ZADD_INCR").ZAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
            3: () => import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly ZADD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").SortedSetMember | import("./generic-transformers").SortedSetMember[], options?: import("./ZADD").ZAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").BlobStringReply<string>) => number;
            3: () => import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly zAdd: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, members: import("./generic-transformers").SortedSetMember | import("./generic-transformers").SortedSetMember[], options?: import("./ZADD").ZAddOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").BlobStringReply<string>) => number;
            3: () => import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly ZCARD: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zCard: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZCOUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZDIFF_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zDiffWithScores: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZDIFF: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zDiff: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZDIFFSTORE: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, inputKeys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zDiffStore: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, inputKeys: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZINCRBY: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").BlobStringReply<string>) => number;
            3: () => import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly zIncrBy: {
        readonly FIRST_KEY_INDEX: 1;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, increment: number, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").BlobStringReply<string>) => number;
            3: () => import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly ZINTER_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./ZINTER").ZInterKeys<import("../RESP/types").RedisArgument> | import("./ZINTER").ZInterKeys<import("./ZINTER").ZInterKeyAndWeight>, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zInterWithScores: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./ZINTER").ZInterKeys<import("../RESP/types").RedisArgument> | import("./ZINTER").ZInterKeys<import("./ZINTER").ZInterKeyAndWeight>, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZINTER: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./ZINTER").ZInterKeys<import("../RESP/types").RedisArgument> | import("./ZINTER").ZInterKeys<import("./ZINTER").ZInterKeyAndWeight>, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zInter: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./ZINTER").ZInterKeys<import("../RESP/types").RedisArgument> | import("./ZINTER").ZInterKeys<import("./ZINTER").ZInterKeyAndWeight>, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZINTERCARD: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, options?: number | import("./ZINTERCARD").ZInterCardOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zInterCard: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, options?: number | import("./ZINTERCARD").ZInterCardOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZINTERSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").ZKeys, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zInterStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").ZKeys, options?: import("./ZINTER").ZInterOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZLEXCOUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: import("../RESP/types").RedisArgument, max: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zLexCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: import("../RESP/types").RedisArgument, max: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZMPOP: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").SortedSetSide, options?: import("./ZMPOP").ZMPopOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").Resp2Reply<import("./ZMPOP").ZMPopRawReply>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: number;
                }[];
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("./ZMPOP").ZMPopRawReply>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: import("../RESP/types").DoubleReply<number>;
                }[];
            } | null;
        };
    };
    readonly zmPop: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").RedisVariadicArgument, side: import("./generic-transformers").SortedSetSide, options?: import("./ZMPOP").ZMPopOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (this: void, reply: import("../RESP/types").UnwrapReply<import("../RESP/types").Resp2Reply<import("./ZMPOP").ZMPopRawReply>>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: number;
                }[];
            } | null;
            readonly 3: (this: void, reply: import("../RESP/types").UnwrapReply<import("./ZMPOP").ZMPopRawReply>) => {
                key: import("../RESP/types").BlobStringReply<string>;
                members: {
                    value: import("../RESP/types").BlobStringReply<string>;
                    score: import("../RESP/types").DoubleReply<number>;
                }[];
            } | null;
        };
    };
    readonly ZMSCORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: (import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>)[]) => (number | null)[];
            readonly 3: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>>;
        };
    };
    readonly zmScore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            readonly 2: (reply: (import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>)[]) => (number | null)[];
            readonly 3: () => import("../RESP/types").ArrayReply<import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>>;
        };
    };
    readonly ZPOPMAX_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zPopMaxCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZPOPMAX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly zPopMax: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly ZPOPMIN_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zPopMinCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZPOPMIN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly zPopMin: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").BlobStringReply<string>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").TuplesReply<[] | [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly ZRANDMEMBER_COUNT_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zRandMemberCountWithScores: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZRANDMEMBER_COUNT: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zRandMemberCount: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, count: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZRANDMEMBER: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly zRandMember: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>;
    };
    readonly ZRANGE_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGE").ZRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zRangeWithScores: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGE").ZRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZRANGE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGE").ZRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zRange: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGE").ZRangeOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZRANGEBYLEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: import("../RESP/types").RedisArgument, max: import("../RESP/types").RedisArgument, options?: import("./ZRANGEBYLEX").ZRangeByLexOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zRangeByLex: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: import("../RESP/types").RedisArgument, max: import("../RESP/types").RedisArgument, options?: import("./ZRANGEBYLEX").ZRangeByLexOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZRANGEBYSCORE_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: string | number, max: string | number, options?: import("./ZRANGEBYSCORE").ZRangeByScoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zRangeByScoreWithScores: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: string | number, max: string | number, options?: import("./ZRANGEBYSCORE").ZRangeByScoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZRANGEBYSCORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: string | number, max: string | number, options?: import("./ZRANGEBYSCORE").ZRangeByScoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zRangeByScore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: string | number, max: string | number, options?: import("./ZRANGEBYSCORE").ZRangeByScoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZRANGESTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGESTORE").ZRangeStoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zRangeStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, source: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument, options?: import("./ZRANGESTORE").ZRangeStoreOptions | undefined) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZRANK_WITHSCORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<string>]>>) => {
                rank: import("../RESP/types").NumberReply<number>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                rank: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly zRankWithScore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            readonly 2: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").NumberReply<number>, import("../RESP/types").BlobStringReply<string>]>>) => {
                rank: import("../RESP/types").NumberReply<number>;
                score: number;
            } | null;
            readonly 3: (reply: import("../RESP/types").UnwrapReply<import("../RESP/types").NullReply | import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                rank: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            } | null;
        };
    };
    readonly ZRANK: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly zRank: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly ZREM: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zRem: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("./generic-transformers").RedisVariadicArgument) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZREMRANGEBYLEX: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zRemRangeByLex: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZREMRANGEBYRANK: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zRemRangeByRank: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, start: number, stop: number) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZREMRANGEBYSCORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zRemRangeByScore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, min: number | import("../RESP/types").RedisArgument, max: number | import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly ZREVRANK: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly zRevRank: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: () => import("../RESP/types").NullReply | import("../RESP/types").NumberReply<number>;
    };
    readonly ZSCAN: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, rawMembers]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            members: {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
        };
    };
    readonly zScan: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, cursor: import("../RESP/types").RedisArgument, options?: import("./SCAN").ScanCommonOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: (this: void, [cursor, rawMembers]: [import("../RESP/types").BlobStringReply<string>, import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>]) => {
            cursor: import("../RESP/types").BlobStringReply<string>;
            members: {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
        };
    };
    readonly ZSCORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
            3: () => import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly zScore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, key: import("../RESP/types").RedisArgument, member: import("../RESP/types").RedisArgument) => import("../RESP/types").RedisArgument[];
        readonly transformReply: {
            2: (reply: import("../RESP/types").NullReply | import("../RESP/types").BlobStringReply<string>) => number | null;
            3: () => import("../RESP/types").NullReply | import("../RESP/types").DoubleReply<number>;
        };
    };
    readonly ZUNION_WITHSCORES: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNION").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly zUnionWithScores: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNION").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: {
            2: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: number;
            }[];
            3: (reply: import("../RESP/types").ArrayReply<import("../RESP/types").TuplesReply<[import("../RESP/types").BlobStringReply<string>, import("../RESP/types").DoubleReply<number>]>>) => {
                value: import("../RESP/types").BlobStringReply<string>;
                score: import("../RESP/types").DoubleReply<number>;
            }[];
        };
    };
    readonly ZUNION: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNION").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly zUnion: {
        readonly FIRST_KEY_INDEX: 2;
        readonly IS_READ_ONLY: true;
        readonly transformArguments: (this: void, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNION").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").ArrayReply<import("../RESP/types").BlobStringReply<string>>;
    };
    readonly ZUNIONSTORE: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNIONSTORE").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
    readonly zUnionStore: {
        readonly FIRST_KEY_INDEX: 1;
        readonly IS_READ_ONLY: false;
        readonly transformArguments: (this: void, destination: import("../RESP/types").RedisArgument, keys: import("./generic-transformers").ZKeys, options?: import("./ZUNIONSTORE").ZUnionOptions | undefined) => import("../RESP/types").CommandArguments;
        readonly transformReply: () => import("../RESP/types").NumberReply<number>;
    };
};
export default _default;
